Build dashboards
Read board settings
GET
/api/boards/{id}/settingsRead editable board settings. Requires modify access to the board.
Authorization
apikey ApiKey<token>
API key which can be obtained in the Homarr administration dashboard
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/boards/string/settings"{ "pageTitle": "string", "metaTitle": "string", "logoImageUrl": "string", "faviconImageUrl": "string", "backgroundImageUrl": "string", "backgroundImageAttachment": "fixed", "backgroundImageRepeat": "repeat", "backgroundImageSize": "cover", "primaryColor": "string", "secondaryColor": "string", "opacity": 0, "customCss": "string", "iconColor": "string", "itemRadius": "xs", "disableStatus": true, "id": "string", "name": "string"}